<title> The Hugs 98 User Manual </title>

<h1> The Hugs 98 User Manual </h1>

<a name="notice"></a>
<h3>Copyright and License</h3><p>
The Hugs 98 system is Copyright &copy; Mark P Jones, Alastair Reid and
the Yale Haskell Group 1994-99, and is distributed as Open Source software
under the Artistic License; see the file "Artistic" that is included in
the distribution for details.<p>
<p>
<h2>1<tt>&nbsp;&nbsp;</tt>Introduction</h2><p>
Hugs 98 is a functional programming system
based on Haskell 98, the de facto
standard for non-strict functional programming
languages.  This manual should give you all the
information that you need to start using Hugs.
However, it is not a tutorial on either
functional programming in general or on Haskell in
particular.<p>
The first two sections provide introductory material:

<UL><LI><a href="summary.html">Section 2:</a> A brief technical summary of the
main features of Hugs 98, and the ways that it differs
from previous releases.
<LI><a href="basics.html">Section 3:</a> A short tutorial on the concepts
that you need to understand to be able to use Hugs.
</UL>
The remaining sections provide reference material, including:

<UL><LI><a href="started.html">Section 4:</a>
A summary of the command line syntax, environment variables,
and command line options used by Hugs.
<LI><a href="commands.html">Section 5:</a>
A summary of commands that can be used within the interpreter.
<LI><a href="libs.html">Section 6:</a>
An overview of the Hugs libraries.
<LI><a href="exts.html">Section 7:</a>
A description of Hugs extensions.
<LI><a href="windows.html">Section 8:</a>
Information about other ways of running Hugs programs.
<LI><a href="diffs.html">Section 9:</a>
A list of differences between Hugs 98 and standard Haskell.
<LI><a href="avail.html">Section 10:</a> Pointers to further information.
<li> <a href="hugs.html">Bibliography.</a>
</UL><p>
Whether you are a beginner or a seasoned old-timer, we hope that
you will enjoy working with Hugs, and that, if you will pardon
the pun, you will use it to embrace functional programming!<p>
<h3>Acknowledgements:</h3>
The development of Hugs has benefited considerably from the feedback,
suggestions, and bug reports provided by its users.  There are too many
people to name here, but thanks are due for all of their contributions.
A special thank you also to our friends and colleagues at OGI, 
Yale, and elsewhere, for their input to the current release.<p>




